/*
 * Copyright 2019 ,2021 NXP
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*!
 * @brief
 * UART2 IrDA Select: Pad RX input PTI[6] or PTE[6] selected for RX input of UART2 and UART2 TX signal is not used
 * for modulation.
 */
#define MISC_CTL_UART2IRSEL_0b0 0x00u

/*! @name PORTJ3 (number 62), LED_GREEN
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_LED_GREEN_FGPIO FGPIOJ             /*!<@brief FGPIO peripheral base pointer */
#define BOARD_LED_GREEN_GPIO GPIOJ               /*!<@brief GPIO peripheral base pointer */
#define BOARD_LED_GREEN_GPIO_PIN_MASK (1U << 3U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_LED_GREEN_PORT PORTJ               /*!<@brief PORT peripheral base pointer */
#define BOARD_LED_GREEN_PIN 3U                   /*!<@brief PORT pin number */
#define BOARD_LED_GREEN_PIN_MASK (1U << 3U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PORTJ4 (number 63), LED_RED
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_LED_RED_FGPIO FGPIOJ             /*!<@brief FGPIO peripheral base pointer */
#define BOARD_LED_RED_GPIO GPIOJ               /*!<@brief GPIO peripheral base pointer */
#define BOARD_LED_RED_GPIO_PIN_MASK (1U << 4U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_LED_RED_PORT PORTJ               /*!<@brief PORT peripheral base pointer */
#define BOARD_LED_RED_PIN 4U                   /*!<@brief PORT pin number */
#define BOARD_LED_RED_PIN_MASK (1U << 4U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTD4 (number 76), LED_ORANGE
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_LED_ORANGE_FGPIO FGPIOD             /*!<@brief FGPIO peripheral base pointer */
#define BOARD_LED_ORANGE_GPIO GPIOD               /*!<@brief GPIO peripheral base pointer */
#define BOARD_LED_ORANGE_GPIO_PIN_MASK (1U << 4U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_LED_ORANGE_PORT PORTD               /*!<@brief PORT peripheral base pointer */
#define BOARD_LED_ORANGE_PIN 4U                   /*!<@brief PORT pin number */
#define BOARD_LED_ORANGE_PIN_MASK (1U << 4U)      /*!<@brief PORT pin mask */
                                                  /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

#define MISC_CTL_PDBADCTRG_0b0 0x00u /*!<@brief PDB bypass XBAR as ADC trigger: XBAR to trigger ADC */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_ConfigTriggerSource(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
